Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.util
Class EmptyIcon

    java.lang.Object
      org.gjt.jclasslib.util.EmptyIcon

All Implemented Interfaces:
  Icon

public class EmptyIcon
extends Object
implements Icon

Transparent icon with no content.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 07:46:43 $
Author:
  Ingo Kegel

Constructor Summary
`EmptyIcon(int width, int height)` Constructor.

Method Summary
`int` | `getIconHeight()`
`int` | `getIconWidth()`
`void` | `paintIcon(Component c, Graphics g, int x, int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyIcon

    public EmptyIcon(int width,
                     int height)

  Constructor.

Parameters:
  `width` - the width of the icon.
  `height` - the height of the icon.

Method Detail

### paintIcon

    public void paintIcon(Component c,
                          Graphics g,
                          int x,
                          int y)

  Specified by:
    `paintIcon` in interface `Icon`

### getIconWidth

    public int getIconWidth()

  Specified by:
    `getIconWidth` in interface `Icon`

### getIconHeight

    public int getIconHeight()

  Specified by:
    `getIconHeight` in interface `Icon`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD